<template>
  <div>
    <p>{{ description }}</p>
    <p>{{ content }}</p>
    <!-- WARN: la función upload="onAdvancedUpload" está incompleta y al parecer se hará uso de la función uploadRequest desde el botón -->
    <!--FileUpload ref="fileupload" mode="advanced" name="demo[]" url="/api/upload" @upload="onAdvancedUpload($event)" -->
    <FileUpload ref="fileupload" mode="advanced" name="demo[]" url="/api/upload" disable="true" :multiple="false"
      accept="" :maxFileSize="100000000" :showUploadButton="false" :showCancelButton="false" :fileLimit="10"
      :auto="false">
      <template #empty>
        <p>{{ titleDrag }}</p>
      </template>
    </FileUpload>
    <Button label="Upload" @click="uploadRequest" severity="secondary" />
  </div>
</template>

<script setup lang="ts">
import { inject, onMounted, ref } from "vue";
import FileUpload from 'primevue/fileupload';
import Button from 'primevue/button';

const fileupload = ref();
const dialogRef: any = inject("dialogRef");

const titleDrag = ref("Soltar aquí el directorio de trabajo")

let params: { description: string, content: string };

const description = ref("");
const content = ref("");

onMounted(() => {
  params = dialogRef.value.data;
  description.value = params.description;
  content.value = params.content;
})

const uploadRequest = () => {
  console.log(fileupload.value.files);
  // Enviar la lista de archivos 
  dialogRef.value.close(fileupload.value.files)
}

</script>
<style scoped></style>
